// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.35.2
// 	protoc        (unknown)
// source: connectrpc/guesses/v1/guesses.proto

package guessesv1

import (
	_ "github.com/grpc-ecosystem/grpc-gateway/v2/protoc-gen-openapiv2/options"
	_ "google.golang.org/genproto/googleapis/api/annotations"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	durationpb "google.golang.org/protobuf/types/known/durationpb"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type SubmitGuessRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	UserId     string               `protobuf:"bytes,1,opt,name=user_id,json=userId,proto3" json:"user_id,omitempty"`
	RoomId     string               `protobuf:"bytes,2,opt,name=room_id,json=roomId,proto3" json:"room_id,omitempty"`
	QuestionId string               `protobuf:"bytes,3,opt,name=question_id,json=questionId,proto3" json:"question_id,omitempty"`
	IsCorrect  bool                 `protobuf:"varint,4,opt,name=is_correct,json=isCorrect,proto3" json:"is_correct,omitempty"`
	TimeTaken  *durationpb.Duration `protobuf:"bytes,5,opt,name=time_taken,json=timeTaken,proto3" json:"time_taken,omitempty"`
}

func (x *SubmitGuessRequest) Reset() {
	*x = SubmitGuessRequest{}
	mi := &file_connectrpc_guesses_v1_guesses_proto_msgTypes[0]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *SubmitGuessRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SubmitGuessRequest) ProtoMessage() {}

func (x *SubmitGuessRequest) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_guesses_v1_guesses_proto_msgTypes[0]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SubmitGuessRequest.ProtoReflect.Descriptor instead.
func (*SubmitGuessRequest) Descriptor() ([]byte, []int) {
	return file_connectrpc_guesses_v1_guesses_proto_rawDescGZIP(), []int{0}
}

func (x *SubmitGuessRequest) GetUserId() string {
	if x != nil {
		return x.UserId
	}
	return ""
}

func (x *SubmitGuessRequest) GetRoomId() string {
	if x != nil {
		return x.RoomId
	}
	return ""
}

func (x *SubmitGuessRequest) GetQuestionId() string {
	if x != nil {
		return x.QuestionId
	}
	return ""
}

func (x *SubmitGuessRequest) GetIsCorrect() bool {
	if x != nil {
		return x.IsCorrect
	}
	return false
}

func (x *SubmitGuessRequest) GetTimeTaken() *durationpb.Duration {
	if x != nil {
		return x.TimeTaken
	}
	return nil
}

type SubmitGuessResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *SubmitGuessResponse) Reset() {
	*x = SubmitGuessResponse{}
	mi := &file_connectrpc_guesses_v1_guesses_proto_msgTypes[1]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *SubmitGuessResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SubmitGuessResponse) ProtoMessage() {}

func (x *SubmitGuessResponse) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_guesses_v1_guesses_proto_msgTypes[1]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SubmitGuessResponse.ProtoReflect.Descriptor instead.
func (*SubmitGuessResponse) Descriptor() ([]byte, []int) {
	return file_connectrpc_guesses_v1_guesses_proto_rawDescGZIP(), []int{1}
}

type GetLeaderboardRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	RoomId string `protobuf:"bytes,1,opt,name=room_id,json=roomId,proto3" json:"room_id,omitempty"`
}

func (x *GetLeaderboardRequest) Reset() {
	*x = GetLeaderboardRequest{}
	mi := &file_connectrpc_guesses_v1_guesses_proto_msgTypes[2]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GetLeaderboardRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetLeaderboardRequest) ProtoMessage() {}

func (x *GetLeaderboardRequest) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_guesses_v1_guesses_proto_msgTypes[2]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetLeaderboardRequest.ProtoReflect.Descriptor instead.
func (*GetLeaderboardRequest) Descriptor() ([]byte, []int) {
	return file_connectrpc_guesses_v1_guesses_proto_rawDescGZIP(), []int{2}
}

func (x *GetLeaderboardRequest) GetRoomId() string {
	if x != nil {
		return x.RoomId
	}
	return ""
}

type GetLeaderboardResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Data *LeaderboardData `protobuf:"bytes,1,opt,name=data,proto3" json:"data,omitempty"`
}

func (x *GetLeaderboardResponse) Reset() {
	*x = GetLeaderboardResponse{}
	mi := &file_connectrpc_guesses_v1_guesses_proto_msgTypes[3]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GetLeaderboardResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetLeaderboardResponse) ProtoMessage() {}

func (x *GetLeaderboardResponse) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_guesses_v1_guesses_proto_msgTypes[3]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetLeaderboardResponse.ProtoReflect.Descriptor instead.
func (*GetLeaderboardResponse) Descriptor() ([]byte, []int) {
	return file_connectrpc_guesses_v1_guesses_proto_rawDescGZIP(), []int{3}
}

func (x *GetLeaderboardResponse) GetData() *LeaderboardData {
	if x != nil {
		return x.Data
	}
	return nil
}

type LeaderboardData struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Ranks []*RankElement `protobuf:"bytes,1,rep,name=ranks,proto3" json:"ranks,omitempty"`
}

func (x *LeaderboardData) Reset() {
	*x = LeaderboardData{}
	mi := &file_connectrpc_guesses_v1_guesses_proto_msgTypes[4]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *LeaderboardData) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*LeaderboardData) ProtoMessage() {}

func (x *LeaderboardData) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_guesses_v1_guesses_proto_msgTypes[4]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use LeaderboardData.ProtoReflect.Descriptor instead.
func (*LeaderboardData) Descriptor() ([]byte, []int) {
	return file_connectrpc_guesses_v1_guesses_proto_rawDescGZIP(), []int{4}
}

func (x *LeaderboardData) GetRanks() []*RankElement {
	if x != nil {
		return x.Ranks
	}
	return nil
}

type RankElement struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	UserId             string  `protobuf:"bytes,1,opt,name=user_id,json=userId,proto3" json:"user_id,omitempty"`
	Score              float32 `protobuf:"fixed32,2,opt,name=score,proto3" json:"score,omitempty"`
	ComboMultiplierIdx uint32  `protobuf:"varint,3,opt,name=combo_multiplier_idx,json=comboMultiplierIdx,proto3" json:"combo_multiplier_idx,omitempty"`
}

func (x *RankElement) Reset() {
	*x = RankElement{}
	mi := &file_connectrpc_guesses_v1_guesses_proto_msgTypes[5]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *RankElement) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RankElement) ProtoMessage() {}

func (x *RankElement) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_guesses_v1_guesses_proto_msgTypes[5]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RankElement.ProtoReflect.Descriptor instead.
func (*RankElement) Descriptor() ([]byte, []int) {
	return file_connectrpc_guesses_v1_guesses_proto_rawDescGZIP(), []int{5}
}

func (x *RankElement) GetUserId() string {
	if x != nil {
		return x.UserId
	}
	return ""
}

func (x *RankElement) GetScore() float32 {
	if x != nil {
		return x.Score
	}
	return 0
}

func (x *RankElement) GetComboMultiplierIdx() uint32 {
	if x != nil {
		return x.ComboMultiplierIdx
	}
	return 0
}

type ResetScoresRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	RoomId        string `protobuf:"bytes,1,opt,name=room_id,json=roomId,proto3" json:"room_id,omitempty"`
	QuestionCount uint32 `protobuf:"varint,2,opt,name=question_count,json=questionCount,proto3" json:"question_count,omitempty"`
}

func (x *ResetScoresRequest) Reset() {
	*x = ResetScoresRequest{}
	mi := &file_connectrpc_guesses_v1_guesses_proto_msgTypes[6]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *ResetScoresRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ResetScoresRequest) ProtoMessage() {}

func (x *ResetScoresRequest) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_guesses_v1_guesses_proto_msgTypes[6]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ResetScoresRequest.ProtoReflect.Descriptor instead.
func (*ResetScoresRequest) Descriptor() ([]byte, []int) {
	return file_connectrpc_guesses_v1_guesses_proto_rawDescGZIP(), []int{6}
}

func (x *ResetScoresRequest) GetRoomId() string {
	if x != nil {
		return x.RoomId
	}
	return ""
}

func (x *ResetScoresRequest) GetQuestionCount() uint32 {
	if x != nil {
		return x.QuestionCount
	}
	return 0
}

type ResetScoresResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *ResetScoresResponse) Reset() {
	*x = ResetScoresResponse{}
	mi := &file_connectrpc_guesses_v1_guesses_proto_msgTypes[7]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *ResetScoresResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ResetScoresResponse) ProtoMessage() {}

func (x *ResetScoresResponse) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_guesses_v1_guesses_proto_msgTypes[7]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ResetScoresResponse.ProtoReflect.Descriptor instead.
func (*ResetScoresResponse) Descriptor() ([]byte, []int) {
	return file_connectrpc_guesses_v1_guesses_proto_rawDescGZIP(), []int{7}
}

var File_connectrpc_guesses_v1_guesses_proto protoreflect.FileDescriptor

var file_connectrpc_guesses_v1_guesses_proto_rawDesc = []byte{
	0x0a, 0x23, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2f, 0x67, 0x75, 0x65,
	0x73, 0x73, 0x65, 0x73, 0x2f, 0x76, 0x31, 0x2f, 0x67, 0x75, 0x65, 0x73, 0x73, 0x65, 0x73, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x15, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70,
	0x63, 0x2e, 0x67, 0x75, 0x65, 0x73, 0x73, 0x65, 0x73, 0x2e, 0x76, 0x31, 0x1a, 0x1c, 0x67, 0x6f,
	0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x61, 0x70, 0x69, 0x2f, 0x61, 0x6e, 0x6e, 0x6f, 0x74, 0x61, 0x74,
	0x69, 0x6f, 0x6e, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1e, 0x67, 0x6f, 0x6f, 0x67,
	0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x64, 0x75, 0x72, 0x61,
	0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x63, 0x2d, 0x67, 0x65, 0x6e, 0x2d, 0x6f, 0x70, 0x65, 0x6e, 0x61, 0x70, 0x69, 0x76, 0x32,
	0x2f, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x2f, 0x61, 0x6e, 0x6e, 0x6f, 0x74, 0x61, 0x74,
	0x69, 0x6f, 0x6e, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xc0, 0x01, 0x0a, 0x12, 0x53,
	0x75, 0x62, 0x6d, 0x69, 0x74, 0x47, 0x75, 0x65, 0x73, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x12, 0x17, 0x0a, 0x07, 0x75, 0x73, 0x65, 0x72, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x06, 0x75, 0x73, 0x65, 0x72, 0x49, 0x64, 0x12, 0x17, 0x0a, 0x07, 0x72, 0x6f,
	0x6f, 0x6d, 0x5f, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x72, 0x6f, 0x6f,
	0x6d, 0x49, 0x64, 0x12, 0x1f, 0x0a, 0x0b, 0x71, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x5f,
	0x69, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x71, 0x75, 0x65, 0x73, 0x74, 0x69,
	0x6f, 0x6e, 0x49, 0x64, 0x12, 0x1d, 0x0a, 0x0a, 0x69, 0x73, 0x5f, 0x63, 0x6f, 0x72, 0x72, 0x65,
	0x63, 0x74, 0x18, 0x04, 0x20, 0x01, 0x28, 0x08, 0x52, 0x09, 0x69, 0x73, 0x43, 0x6f, 0x72, 0x72,
	0x65, 0x63, 0x74, 0x12, 0x38, 0x0a, 0x0a, 0x74, 0x69, 0x6d, 0x65, 0x5f, 0x74, 0x61, 0x6b, 0x65,
	0x6e, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x19, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x44, 0x75, 0x72, 0x61, 0x74, 0x69,
	0x6f, 0x6e, 0x52, 0x09, 0x74, 0x69, 0x6d, 0x65, 0x54, 0x61, 0x6b, 0x65, 0x6e, 0x22, 0x15, 0x0a,
	0x13, 0x53, 0x75, 0x62, 0x6d, 0x69, 0x74, 0x47, 0x75, 0x65, 0x73, 0x73, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x22, 0x30, 0x0a, 0x15, 0x47, 0x65, 0x74, 0x4c, 0x65, 0x61, 0x64, 0x65,
	0x72, 0x62, 0x6f, 0x61, 0x72, 0x64, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x17, 0x0a,
	0x07, 0x72, 0x6f, 0x6f, 0x6d, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06,
	0x72, 0x6f, 0x6f, 0x6d, 0x49, 0x64, 0x22, 0x54, 0x0a, 0x16, 0x47, 0x65, 0x74, 0x4c, 0x65, 0x61,
	0x64, 0x65, 0x72, 0x62, 0x6f, 0x61, 0x72, 0x64, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x12, 0x3a, 0x0a, 0x04, 0x64, 0x61, 0x74, 0x61, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x26,
	0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2e, 0x67, 0x75, 0x65, 0x73,
	0x73, 0x65, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x4c, 0x65, 0x61, 0x64, 0x65, 0x72, 0x62, 0x6f, 0x61,
	0x72, 0x64, 0x44, 0x61, 0x74, 0x61, 0x52, 0x04, 0x64, 0x61, 0x74, 0x61, 0x22, 0x4b, 0x0a, 0x0f,
	0x4c, 0x65, 0x61, 0x64, 0x65, 0x72, 0x62, 0x6f, 0x61, 0x72, 0x64, 0x44, 0x61, 0x74, 0x61, 0x12,
	0x38, 0x0a, 0x05, 0x72, 0x61, 0x6e, 0x6b, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x22,
	0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2e, 0x67, 0x75, 0x65, 0x73,
	0x73, 0x65, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x52, 0x61, 0x6e, 0x6b, 0x45, 0x6c, 0x65, 0x6d, 0x65,
	0x6e, 0x74, 0x52, 0x05, 0x72, 0x61, 0x6e, 0x6b, 0x73, 0x22, 0x6e, 0x0a, 0x0b, 0x52, 0x61, 0x6e,
	0x6b, 0x45, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x12, 0x17, 0x0a, 0x07, 0x75, 0x73, 0x65, 0x72,
	0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x75, 0x73, 0x65, 0x72, 0x49,
	0x64, 0x12, 0x14, 0x0a, 0x05, 0x73, 0x63, 0x6f, 0x72, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x02,
	0x52, 0x05, 0x73, 0x63, 0x6f, 0x72, 0x65, 0x12, 0x30, 0x0a, 0x14, 0x63, 0x6f, 0x6d, 0x62, 0x6f,
	0x5f, 0x6d, 0x75, 0x6c, 0x74, 0x69, 0x70, 0x6c, 0x69, 0x65, 0x72, 0x5f, 0x69, 0x64, 0x78, 0x18,
	0x03, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x12, 0x63, 0x6f, 0x6d, 0x62, 0x6f, 0x4d, 0x75, 0x6c, 0x74,
	0x69, 0x70, 0x6c, 0x69, 0x65, 0x72, 0x49, 0x64, 0x78, 0x22, 0x54, 0x0a, 0x12, 0x52, 0x65, 0x73,
	0x65, 0x74, 0x53, 0x63, 0x6f, 0x72, 0x65, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12,
	0x17, 0x0a, 0x07, 0x72, 0x6f, 0x6f, 0x6d, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x06, 0x72, 0x6f, 0x6f, 0x6d, 0x49, 0x64, 0x12, 0x25, 0x0a, 0x0e, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0d,
	0x52, 0x0d, 0x71, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x22,
	0x15, 0x0a, 0x13, 0x52, 0x65, 0x73, 0x65, 0x74, 0x53, 0x63, 0x6f, 0x72, 0x65, 0x73, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x32, 0xc7, 0x07, 0x0a, 0x0e, 0x47, 0x75, 0x65, 0x73, 0x73,
	0x65, 0x73, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x12, 0xba, 0x02, 0x0a, 0x0b, 0x53, 0x75,
	0x62, 0x6d, 0x69, 0x74, 0x47, 0x75, 0x65, 0x73, 0x73, 0x12, 0x29, 0x2e, 0x63, 0x6f, 0x6e, 0x6e,
	0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2e, 0x67, 0x75, 0x65, 0x73, 0x73, 0x65, 0x73, 0x2e, 0x76,
	0x31, 0x2e, 0x53, 0x75, 0x62, 0x6d, 0x69, 0x74, 0x47, 0x75, 0x65, 0x73, 0x73, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x1a, 0x2a, 0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70,
	0x63, 0x2e, 0x67, 0x75, 0x65, 0x73, 0x73, 0x65, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x53, 0x75, 0x62,
	0x6d, 0x69, 0x74, 0x47, 0x75, 0x65, 0x73, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x22, 0xd3, 0x01, 0x92, 0x41, 0xae, 0x01, 0x12, 0x10, 0x53, 0x75, 0x62, 0x6d, 0x69, 0x74, 0x73,
	0x20, 0x61, 0x20, 0x67, 0x75, 0x65, 0x73, 0x73, 0x2e, 0x1a, 0x35, 0x41, 0x64, 0x64, 0x73, 0x20,
	0x61, 0x20, 0x67, 0x75, 0x65, 0x73, 0x73, 0x20, 0x74, 0x6f, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73,
	0x79, 0x73, 0x74, 0x65, 0x6d, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x61, 0x20, 0x67, 0x69, 0x76, 0x65,
	0x6e, 0x20, 0x75, 0x73, 0x65, 0x72, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x72, 0x6f, 0x6f, 0x6d, 0x2e,
	0x4a, 0x4b, 0x0a, 0x03, 0x32, 0x30, 0x30, 0x12, 0x44, 0x0a, 0x1d, 0x47, 0x75, 0x65, 0x73, 0x73,
	0x20, 0x73, 0x75, 0x62, 0x6d, 0x69, 0x74, 0x74, 0x65, 0x64, 0x20, 0x73, 0x75, 0x63, 0x63, 0x65,
	0x73, 0x73, 0x66, 0x75, 0x6c, 0x6c, 0x79, 0x2e, 0x12, 0x23, 0x0a, 0x21, 0x1a, 0x1f, 0x2e, 0x67,
	0x75, 0x65, 0x73, 0x73, 0x65, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x53, 0x75, 0x62, 0x6d, 0x69, 0x74,
	0x47, 0x75, 0x65, 0x73, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x62, 0x16, 0x0a,
	0x14, 0x0a, 0x10, 0x55, 0x73, 0x65, 0x72, 0x20, 0x50, 0x72, 0x69, 0x76, 0x61, 0x74, 0x65, 0x20,
	0x4b, 0x65, 0x79, 0x12, 0x00, 0x82, 0xd3, 0xe4, 0x93, 0x02, 0x1b, 0x3a, 0x01, 0x2a, 0x22, 0x16,
	0x2f, 0x67, 0x75, 0x65, 0x73, 0x73, 0x65, 0x73, 0x2f, 0x61, 0x70, 0x69, 0x2f, 0x76, 0x31, 0x2f,
	0x73, 0x75, 0x62, 0x6d, 0x69, 0x74, 0x12, 0xce, 0x02, 0x0a, 0x0e, 0x47, 0x65, 0x74, 0x4c, 0x65,
	0x61, 0x64, 0x65, 0x72, 0x62, 0x6f, 0x61, 0x72, 0x64, 0x12, 0x2c, 0x2e, 0x63, 0x6f, 0x6e, 0x6e,
	0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2e, 0x67, 0x75, 0x65, 0x73, 0x73, 0x65, 0x73, 0x2e, 0x76,
	0x31, 0x2e, 0x47, 0x65, 0x74, 0x4c, 0x65, 0x61, 0x64, 0x65, 0x72, 0x62, 0x6f, 0x61, 0x72, 0x64,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2d, 0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63,
	0x74, 0x72, 0x70, 0x63, 0x2e, 0x67, 0x75, 0x65, 0x73, 0x73, 0x65, 0x73, 0x2e, 0x76, 0x31, 0x2e,
	0x47, 0x65, 0x74, 0x4c, 0x65, 0x61, 0x64, 0x65, 0x72, 0x62, 0x6f, 0x61, 0x72, 0x64, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0xde, 0x01, 0x92, 0x41, 0xb7, 0x01, 0x12, 0x1a, 0x52,
	0x65, 0x74, 0x72, 0x69, 0x65, 0x76, 0x65, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6c, 0x65, 0x61,
	0x64, 0x65, 0x72, 0x62, 0x6f, 0x61, 0x72, 0x64, 0x2e, 0x1a, 0x2b, 0x52, 0x65, 0x74, 0x72, 0x69,
	0x65, 0x76, 0x65, 0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x6c, 0x65, 0x61, 0x64, 0x65, 0x72, 0x62,
	0x6f, 0x61, 0x72, 0x64, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x61, 0x20, 0x67, 0x69, 0x76, 0x65, 0x6e,
	0x20, 0x72, 0x6f, 0x6f, 0x6d, 0x2e, 0x4a, 0x54, 0x0a, 0x03, 0x32, 0x30, 0x30, 0x12, 0x4d, 0x0a,
	0x23, 0x4c, 0x65, 0x61, 0x64, 0x65, 0x72, 0x62, 0x6f, 0x61, 0x72, 0x64, 0x20, 0x72, 0x65, 0x74,
	0x72, 0x69, 0x65, 0x76, 0x65, 0x64, 0x20, 0x73, 0x75, 0x63, 0x63, 0x65, 0x73, 0x73, 0x66, 0x75,
	0x6c, 0x6c, 0x79, 0x2e, 0x12, 0x26, 0x0a, 0x24, 0x1a, 0x22, 0x2e, 0x67, 0x75, 0x65, 0x73, 0x73,
	0x65, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x47, 0x65, 0x74, 0x4c, 0x65, 0x61, 0x64, 0x65, 0x72, 0x62,
	0x6f, 0x61, 0x72, 0x64, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x62, 0x16, 0x0a, 0x14,
	0x0a, 0x10, 0x55, 0x73, 0x65, 0x72, 0x20, 0x50, 0x72, 0x69, 0x76, 0x61, 0x74, 0x65, 0x20, 0x4b,
	0x65, 0x79, 0x12, 0x00, 0x82, 0xd3, 0xe4, 0x93, 0x02, 0x1d, 0x12, 0x1b, 0x2f, 0x67, 0x75, 0x65,
	0x73, 0x73, 0x65, 0x73, 0x2f, 0x61, 0x70, 0x69, 0x2f, 0x76, 0x31, 0x2f, 0x6c, 0x65, 0x61, 0x64,
	0x65, 0x72, 0x62, 0x6f, 0x61, 0x72, 0x64, 0x12, 0xa6, 0x02, 0x0a, 0x0b, 0x52, 0x65, 0x73, 0x65,
	0x74, 0x53, 0x63, 0x6f, 0x72, 0x65, 0x73, 0x12, 0x29, 0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63,
	0x74, 0x72, 0x70, 0x63, 0x2e, 0x67, 0x75, 0x65, 0x73, 0x73, 0x65, 0x73, 0x2e, 0x76, 0x31, 0x2e,
	0x52, 0x65, 0x73, 0x65, 0x74, 0x53, 0x63, 0x6f, 0x72, 0x65, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x1a, 0x2a, 0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2e,
	0x67, 0x75, 0x65, 0x73, 0x73, 0x65, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x52, 0x65, 0x73, 0x65, 0x74,
	0x53, 0x63, 0x6f, 0x72, 0x65, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0xbf,
	0x01, 0x92, 0x41, 0x9b, 0x01, 0x12, 0x12, 0x52, 0x65, 0x73, 0x65, 0x74, 0x73, 0x20, 0x74, 0x68,
	0x65, 0x20, 0x73, 0x63, 0x6f, 0x72, 0x65, 0x73, 0x2e, 0x1a, 0x23, 0x52, 0x65, 0x73, 0x65, 0x74,
	0x73, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x63, 0x6f, 0x72, 0x65, 0x73, 0x20, 0x66, 0x6f, 0x72,
	0x20, 0x61, 0x20, 0x67, 0x69, 0x76, 0x65, 0x6e, 0x20, 0x72, 0x6f, 0x6f, 0x6d, 0x2e, 0x4a, 0x48,
	0x0a, 0x03, 0x32, 0x30, 0x30, 0x12, 0x41, 0x0a, 0x1a, 0x53, 0x63, 0x6f, 0x72, 0x65, 0x73, 0x20,
	0x72, 0x65, 0x73, 0x65, 0x74, 0x20, 0x73, 0x75, 0x63, 0x63, 0x65, 0x73, 0x73, 0x66, 0x75, 0x6c,
	0x6c, 0x79, 0x2e, 0x12, 0x23, 0x0a, 0x21, 0x1a, 0x1f, 0x2e, 0x67, 0x75, 0x65, 0x73, 0x73, 0x65,
	0x73, 0x2e, 0x76, 0x31, 0x2e, 0x52, 0x65, 0x73, 0x65, 0x74, 0x53, 0x63, 0x6f, 0x72, 0x65, 0x73,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x62, 0x16, 0x0a, 0x14, 0x0a, 0x10, 0x55, 0x73,
	0x65, 0x72, 0x20, 0x50, 0x72, 0x69, 0x76, 0x61, 0x74, 0x65, 0x20, 0x4b, 0x65, 0x79, 0x12, 0x00,
	0x82, 0xd3, 0xe4, 0x93, 0x02, 0x1a, 0x3a, 0x01, 0x2a, 0x22, 0x15, 0x2f, 0x67, 0x75, 0x65, 0x73,
	0x73, 0x65, 0x73, 0x2f, 0x61, 0x70, 0x69, 0x2f, 0x76, 0x31, 0x2f, 0x72, 0x65, 0x73, 0x65, 0x74,
	0x42, 0xde, 0x04, 0x92, 0x41, 0xe6, 0x02, 0x12, 0xde, 0x01, 0x0a, 0x0b, 0x47, 0x75, 0x65, 0x73,
	0x73, 0x65, 0x73, 0x20, 0x41, 0x50, 0x49, 0x12, 0x35, 0x41, 0x50, 0x49, 0x20, 0x66, 0x6f, 0x72,
	0x20, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x69, 0x6e, 0x67, 0x20, 0x67, 0x75, 0x65, 0x73, 0x73, 0x2d,
	0x72, 0x65, 0x6c, 0x61, 0x74, 0x65, 0x64, 0x20, 0x61, 0x63, 0x74, 0x69, 0x76, 0x69, 0x74, 0x79,
	0x20, 0x69, 0x6e, 0x20, 0x74, 0x68, 0x65, 0x20, 0x73, 0x79, 0x73, 0x74, 0x65, 0x6d, 0x22, 0x33,
	0x0a, 0x12, 0x42, 0x69, 0x6e, 0x61, 0x72, 0x79, 0x47, 0x61, 0x6d, 0x65, 0x20, 0x70, 0x72, 0x6f,
	0x6a, 0x65, 0x63, 0x74, 0x12, 0x1d, 0x68, 0x74, 0x74, 0x70, 0x73, 0x3a, 0x2f, 0x2f, 0x67, 0x69,
	0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x62, 0x69, 0x6e, 0x61, 0x72, 0x79, 0x67,
	0x61, 0x6d, 0x65, 0x2a, 0x5c, 0x0a, 0x0b, 0x4d, 0x49, 0x54, 0x20, 0x4c, 0x69, 0x63, 0x65, 0x6e,
	0x73, 0x65, 0x12, 0x4d, 0x68, 0x74, 0x74, 0x70, 0x73, 0x3a, 0x2f, 0x2f, 0x67, 0x69, 0x74, 0x6c,
	0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x62, 0x69, 0x6e, 0x61, 0x72, 0x79, 0x67, 0x61, 0x6d,
	0x65, 0x2f, 0x6d, 0x69, 0x63, 0x72, 0x6f, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73, 0x2f,
	0x67, 0x75, 0x65, 0x73, 0x73, 0x65, 0x73, 0x2f, 0x2d, 0x2f, 0x62, 0x6c, 0x6f, 0x62, 0x2f, 0x70,
	0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x4c, 0x49, 0x43, 0x45, 0x4e, 0x53,
	0x45, 0x32, 0x05, 0x30, 0x2e, 0x30, 0x2e, 0x31, 0x1a, 0x17, 0x62, 0x69, 0x6e, 0x67, 0x61, 0x6d,
	0x65, 0x2d, 0x64, 0x65, 0x76, 0x2e, 0x7a, 0x65, 0x72, 0x6f, 0x77, 0x68, 0x79, 0x2e, 0x6f, 0x72,
	0x67, 0x2a, 0x01, 0x02, 0x52, 0x3a, 0x0a, 0x03, 0x34, 0x30, 0x30, 0x12, 0x33, 0x0a, 0x12, 0x41,
	0x6e, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x20, 0x6f, 0x63, 0x63, 0x75, 0x72, 0x72, 0x65, 0x64,
	0x2e, 0x12, 0x1d, 0x0a, 0x1b, 0x1a, 0x19, 0x2e, 0x67, 0x75, 0x65, 0x73, 0x73, 0x65, 0x73, 0x2e,
	0x76, 0x31, 0x2e, 0x45, 0x72, 0x72, 0x6f, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x5a, 0x2b, 0x0a, 0x29, 0x0a, 0x10, 0x55, 0x73, 0x65, 0x72, 0x20, 0x50, 0x72, 0x69, 0x76, 0x61,
	0x74, 0x65, 0x20, 0x4b, 0x65, 0x79, 0x12, 0x15, 0x08, 0x02, 0x1a, 0x0f, 0x75, 0x73, 0x65, 0x72,
	0x2d, 0x70, 0x72, 0x69, 0x76, 0x61, 0x74, 0x65, 0x6b, 0x65, 0x79, 0x20, 0x02, 0x0a, 0x19, 0x63,
	0x6f, 0x6d, 0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2e, 0x67, 0x75,
	0x65, 0x73, 0x73, 0x65, 0x73, 0x2e, 0x76, 0x31, 0x42, 0x0c, 0x47, 0x75, 0x65, 0x73, 0x73, 0x65,
	0x73, 0x50, 0x72, 0x6f, 0x74, 0x6f, 0x50, 0x01, 0x5a, 0x53, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62,
	0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x62, 0x69, 0x6e, 0x61, 0x72, 0x79, 0x67, 0x61, 0x6d, 0x65, 0x2f,
	0x6d, 0x69, 0x63, 0x72, 0x6f, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73, 0x2f, 0x67, 0x75,
	0x65, 0x73, 0x73, 0x65, 0x73, 0x2f, 0x70, 0x6b, 0x67, 0x2f, 0x67, 0x65, 0x6e, 0x2f, 0x63, 0x6f,
	0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2f, 0x67, 0x75, 0x65, 0x73, 0x73, 0x65, 0x73,
	0x2f, 0x76, 0x31, 0x3b, 0x67, 0x75, 0x65, 0x73, 0x73, 0x65, 0x73, 0x76, 0x31, 0xa2, 0x02, 0x03,
	0x43, 0x47, 0x58, 0xaa, 0x02, 0x15, 0x43, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63,
	0x2e, 0x47, 0x75, 0x65, 0x73, 0x73, 0x65, 0x73, 0x2e, 0x56, 0x31, 0xca, 0x02, 0x15, 0x43, 0x6f,
	0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x5c, 0x47, 0x75, 0x65, 0x73, 0x73, 0x65, 0x73,
	0x5c, 0x56, 0x31, 0xe2, 0x02, 0x21, 0x43, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63,
	0x5c, 0x47, 0x75, 0x65, 0x73, 0x73, 0x65, 0x73, 0x5c, 0x56, 0x31, 0x5c, 0x47, 0x50, 0x42, 0x4d,
	0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0xea, 0x02, 0x17, 0x43, 0x6f, 0x6e, 0x6e, 0x65, 0x63,
	0x74, 0x72, 0x70, 0x63, 0x3a, 0x3a, 0x47, 0x75, 0x65, 0x73, 0x73, 0x65, 0x73, 0x3a, 0x3a, 0x56,
	0x31, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_connectrpc_guesses_v1_guesses_proto_rawDescOnce sync.Once
	file_connectrpc_guesses_v1_guesses_proto_rawDescData = file_connectrpc_guesses_v1_guesses_proto_rawDesc
)

func file_connectrpc_guesses_v1_guesses_proto_rawDescGZIP() []byte {
	file_connectrpc_guesses_v1_guesses_proto_rawDescOnce.Do(func() {
		file_connectrpc_guesses_v1_guesses_proto_rawDescData = protoimpl.X.CompressGZIP(file_connectrpc_guesses_v1_guesses_proto_rawDescData)
	})
	return file_connectrpc_guesses_v1_guesses_proto_rawDescData
}

var file_connectrpc_guesses_v1_guesses_proto_msgTypes = make([]protoimpl.MessageInfo, 8)
var file_connectrpc_guesses_v1_guesses_proto_goTypes = []any{
	(*SubmitGuessRequest)(nil),     // 0: connectrpc.guesses.v1.SubmitGuessRequest
	(*SubmitGuessResponse)(nil),    // 1: connectrpc.guesses.v1.SubmitGuessResponse
	(*GetLeaderboardRequest)(nil),  // 2: connectrpc.guesses.v1.GetLeaderboardRequest
	(*GetLeaderboardResponse)(nil), // 3: connectrpc.guesses.v1.GetLeaderboardResponse
	(*LeaderboardData)(nil),        // 4: connectrpc.guesses.v1.LeaderboardData
	(*RankElement)(nil),            // 5: connectrpc.guesses.v1.RankElement
	(*ResetScoresRequest)(nil),     // 6: connectrpc.guesses.v1.ResetScoresRequest
	(*ResetScoresResponse)(nil),    // 7: connectrpc.guesses.v1.ResetScoresResponse
	(*durationpb.Duration)(nil),    // 8: google.protobuf.Duration
}
var file_connectrpc_guesses_v1_guesses_proto_depIdxs = []int32{
	8, // 0: connectrpc.guesses.v1.SubmitGuessRequest.time_taken:type_name -> google.protobuf.Duration
	4, // 1: connectrpc.guesses.v1.GetLeaderboardResponse.data:type_name -> connectrpc.guesses.v1.LeaderboardData
	5, // 2: connectrpc.guesses.v1.LeaderboardData.ranks:type_name -> connectrpc.guesses.v1.RankElement
	0, // 3: connectrpc.guesses.v1.GuessesService.SubmitGuess:input_type -> connectrpc.guesses.v1.SubmitGuessRequest
	2, // 4: connectrpc.guesses.v1.GuessesService.GetLeaderboard:input_type -> connectrpc.guesses.v1.GetLeaderboardRequest
	6, // 5: connectrpc.guesses.v1.GuessesService.ResetScores:input_type -> connectrpc.guesses.v1.ResetScoresRequest
	1, // 6: connectrpc.guesses.v1.GuessesService.SubmitGuess:output_type -> connectrpc.guesses.v1.SubmitGuessResponse
	3, // 7: connectrpc.guesses.v1.GuessesService.GetLeaderboard:output_type -> connectrpc.guesses.v1.GetLeaderboardResponse
	7, // 8: connectrpc.guesses.v1.GuessesService.ResetScores:output_type -> connectrpc.guesses.v1.ResetScoresResponse
	6, // [6:9] is the sub-list for method output_type
	3, // [3:6] is the sub-list for method input_type
	3, // [3:3] is the sub-list for extension type_name
	3, // [3:3] is the sub-list for extension extendee
	0, // [0:3] is the sub-list for field type_name
}

func init() { file_connectrpc_guesses_v1_guesses_proto_init() }
func file_connectrpc_guesses_v1_guesses_proto_init() {
	if File_connectrpc_guesses_v1_guesses_proto != nil {
		return
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_connectrpc_guesses_v1_guesses_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   8,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_connectrpc_guesses_v1_guesses_proto_goTypes,
		DependencyIndexes: file_connectrpc_guesses_v1_guesses_proto_depIdxs,
		MessageInfos:      file_connectrpc_guesses_v1_guesses_proto_msgTypes,
	}.Build()
	File_connectrpc_guesses_v1_guesses_proto = out.File
	file_connectrpc_guesses_v1_guesses_proto_rawDesc = nil
	file_connectrpc_guesses_v1_guesses_proto_goTypes = nil
	file_connectrpc_guesses_v1_guesses_proto_depIdxs = nil
}
